Description

BackupPC can be globally configured to run mysql/postgresql backups as a pre-step.

When the backuppc operations are finished, a post script will run on the remote host. In the /var/log/backuppc.log file the following

information will be written:

BACKUP_TIMESTAMP=<Unix timestamp>

DB_DUMP_RESULT=<OK/FAILED>

 The log can be also used by nagios to verify that the remote backup is running correctly.

Related issues:

Blocks D4Science Infrastructure - Task #2774: Configure the mysql and postgre... Closed Mar 18, 2016

History

#1 - Mar 18, 2016 07:04 PM - Andrea Dell'Amico

- Related to Task #2774: Configure the mysql and postgresql local backups to not run if the remote backup is active added

#2 - Mar 21, 2016 02:18 PM - Andrea Dell'Amico

- Related to deleted (Task #2774: Configure the mysql and postgresql local backups to not run if the remote backup is active)

#3 - Mar 21, 2016 02:18 PM - Andrea Dell'Amico

- Blocks Task #2774: Configure the mysql and postgresql local backups to not run if the remote backup is active added

#4 - Mar 21, 2016 02:23 PM - Andrea Dell'Amico

Andrea Dell'Amico wrote:

BackupPC can be globally configured to run mysql/postgresql backups as a pre-step.

When the backuppc operations are finished, a post script will run on the remote host. In the /var/log/backuppc.log file the following information

will be written:

BACKUP_TIMESTAMP=<Unix timestamp>

DB_DUMP_RESULT=<OK/FAILED>

 

The second variable should better be something like

BACKUP_RESULT=<OK/"failure reason, if any">

 Because it's related to the whole system backup and not the DB one.

The log can be also used by nagios to verify that the remote backup is running correctly.

#5 - Nov 23, 2016 06:31 PM - Andrea Dell'Amico

The postgresql backup script is: /usr/local/sbin/postgresql-backup
#6 - Nov 25, 2016 01:16 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 100

#7 - Nov 25, 2016 01:17 PM - Tommaso Piccioli

- Status changed from In Progress to Feedback

Please check if it works tomorrow.

#8 - Nov 29, 2016 06:54 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

It's working correctly.
